package cn.com.qmth.stmms.ms.admin.api;

import cn.com.qmth.stmms.ms.admin.service.TrialService;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 试评任务controller
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/11/4
 */
@RestController
@RequestMapping("api/trial")
public class TrialController {

    @Autowired
    TrialService trialService;

    /**
     * 删除试评任务，保留标准卷
     *
     * @param workId
     * @param subject
     */
    @RequestMapping(value = "finishTrial", method = RequestMethod.GET)
    public void finishTrial(@RequestParam Long workId, @RequestParam Subject subject) {
        trialService.finishTrial(workId, subject);
    }
}
